---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.1.244/23","fd02:0:0:1::8ae/64"],"mac_address":"0a:58:0a:80:01:f4","gateway_ips":["10.128.0.1","fd02:0:0:1::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.0.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:1::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:1::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:1::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:1::1"}],"role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.1.244",
              "fd02:0:0:1::8ae"
          ],
          "mac": "0a:58:0a:80:01:f4",
          "default": true,
          "dns": {}
      }]
    kubevirt.io/migrationJobName: kubevirt-workload-update-95h6f
    openshift.io/scc: kubevirt-controller
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  creationTimestamp: "2025-10-29T13:26:54Z"
  generateName: hp-volume-
  labels:
    kubevirt.io: hotplug-disk
    kubevirt.io/migrationJobUID: 98bfae35-8279-474f-90d5-03fffd60f6c0
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: cnvqe-071.lab.eng.tlv2.redhat.com
    operation: Update
    subresource: status
    time: "2025-10-29T13:26:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubevirt.io/migrationJobName: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:kubevirt.io: {}
          f:kubevirt.io/migrationJobUID: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b292867f-2ee9-4cb4-9a59-6675ab28fbbb"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"hotplug-disk"}:
            .: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:allowPrivilegeEscalation: {}
              f:capabilities:
                .: {}
                f:drop: {}
              f:runAsNonRoot: {}
              f:runAsUser: {}
              f:seLinuxOptions:
                .: {}
                f:level: {}
              f:seccompProfile:
                .: {}
                f:type: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeDevices:
              .: {}
              k:{"devicePath":"/path/blank-dv/64a94c39-afa2-4fed-b501-246d50382305"}:
                .: {}
                f:devicePath: {}
                f:name: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/path"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"blank-dv"}:
            .: {}
            f:name: {}
            f:persistentVolumeClaim:
              .: {}
              f:claimName: {}
          k:{"name":"hotplug-disks"}:
            .: {}
            f:emptyDir: {}
            f:name: {}
    manager: virt-controller
    operation: Update
    time: "2025-10-29T13:26:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
    manager: multus-daemon
    operation: Update
    subresource: status
    time: "2025-10-29T13:27:07Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.1.244"}:
            .: {}
            f:ip: {}
          k:{"ip":"fd02:0:0:1::8ae"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-29T13:27:09Z"
  name: hp-volume-c279p
  namespace: test-upgrade-namespace
  ownerReferences:
  - apiVersion: v1
    blockOwnerDeletion: true
    controller: true
    kind: Pod
    name: virt-launcher-fedora-hotplug-upg-1761741601-3103356-rzz86
    uid: b292867f-2ee9-4cb4-9a59-6675ab28fbbb
  resourceVersion: "2235821"
  uid: 6097acc1-98e5-4e55-83e5-dd01adae6fdf
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: kubernetes.io/hostname
            operator: In
            values:
            - cnvqe-071.lab.eng.tlv2.redhat.com
  containers:
  - command:
    - /bin/sh
    - -c
    - /usr/bin/container-disk --copy-path /path/hp
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:dd588a7c787bd7a1cea015798290de04a8d5035a0a0b8d90072965afe3268c6c
    imagePullPolicy: IfNotPresent
    name: hotplug-disk
    resources:
      limits:
        cpu: 100m
        memory: 80M
      requests:
        cpu: 10m
        memory: 2M
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
      seLinuxOptions:
        level: s0:c283,c407
      seccompProfile:
        type: RuntimeDefault
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeDevices:
    - devicePath: /path/blank-dv/64a94c39-afa2-4fed-b501-246d50382305
      name: blank-dv
    volumeMounts:
    - mountPath: /path
      mountPropagation: HostToContainer
      name: hotplug-disks
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-7z9kj
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 0
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - emptyDir: {}
    name: hotplug-disks
  - name: blank-dv
    persistentVolumeClaim:
      claimName: blank-dv
  - name: kube-api-access-7z9kj
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:27:09Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:26:54Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:27:09Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:27:09Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:26:54Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://ca7c3ed7609e799ab3092d109aca69d3b46ed85cf6614fed727a0d9e23b761a4
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:dd588a7c787bd7a1cea015798290de04a8d5035a0a0b8d90072965afe3268c6c
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:166476636cff742dfee9251d615a5b7e8f31f7470f63977cf5286ad34afc8032
    lastState: {}
    name: hotplug-disk
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T13:27:08Z"
    volumeMounts:
    - mountPath: /path
      name: hotplug-disks
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-7z9kj
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.42
  hostIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  phase: Running
  podIP: 10.128.1.244
  podIPs:
  - ip: 10.128.1.244
  - ip: fd02:0:0:1::8ae
  qosClass: Burstable
  startTime: "2025-10-29T13:26:54Z"
